aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/connman/files
diff options
context:
space:
mode:
authorThomas Zimmermann <zimmermann@vdm-design.de>2009-10-27 13:57:49 +0000
committerMartin Jansa <Martin.Jansa@gmail.com>2010-01-07 11:55:39 +0100
commitee6762f166a4769c8326d552ca59f431b705e86e (patch)
treeee5c72173d3466b5a729f7d3a20d5429e5db074e /recipes/connman/files
parent611662a49470299f3851db2823d76d4827700ff9 (diff)
downloadopenembedded-ee6762f166a4769c8326d552ca59f431b705e86e.tar.gz
connman: move test utils to separate package, shr config do not disable usb0 on startup
Signed-off-by: Klaus Kurzmann <mok@fluxnetz.de>
Diffstat (limited to 'recipes/connman/files')
-rwxr-xr-xrecipes/connman/files/shr/connman42
1 files changed, 42 insertions, 0 deletions
diff --git a/recipes/connman/files/shr/connman b/recipes/connman/files/shr/connman
new file mode 100755
index 0000000000..708b1b4cd1
--- /dev/null
+++ b/recipes/connman/files/shr/connman
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+DAEMON="/usr/sbin/connmand -I usb0"
+PIDFILE=/var/run/connmand.pid
+DESC="Connection Manager"
+
+if [ -f /etc/default/connman ] ; then
+ . /etc/default/connman
+fi
+
+set -e
+
+do_start() {
+ $DAEMON
+}
+
+do_stop() {
+ start-stop-daemon --stop --name connmand --quiet
+}
+
+case "$1" in
+ start)
+ echo "Starting $DESC"
+ do_start
+ ;;
+ stop)
+ echo "Stopping $DESC"
+ do_stop
+ ;;
+ restart|force-reload)
+ echo "Restarting $DESC"
+ do_stop
+ sleep 1
+ do_start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0